{
  "name": "@shalu/dashboard-ui",
  "version": "1.0.0",
  "type": "module",
  "main": "index.js",
  "module": "index.js",
  "typings": "./typings/shalu-dashboard-ui.d.ts",
  "scripts": {
    "build": "vue-tsc -b && vite build"
  },
  "dependencies": {
    "@types/lodash-es": "^4.17.12",
    "@vueuse/core": "^10.11.0",
    "core-js": "^3.8.3",
    "echarts": "^5.5.1",
    "lodash-es": "^4.17.21"
  },
  "devDependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@codemirror/lang-javascript": "^6.2.2",
    "@codemirror/lang-json": "^6.0.1",
    "@codemirror/theme-one-dark": "^6.1.2",
    "@types/jest": "^27.0.1",
    "@types/node": "^20.14.9",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vue/babel-plugin-jsx": "^1.2.2",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-plugin-typescript": "~5.0.0",
    "@vue/cli-plugin-unit-jest": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/eslint-config-typescript": "^9.1.0",
    "@vue/test-utils": "^2.0.0-0",
    "@vue/vue3-jest": "^27.0.0-alpha.1",
    "ant-design-vue": "^4.2.3",
    "babel-jest": "^27.0.6",
    "css-loader": "^7.1.2",
    "element-plus": "^2.7.6",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-vue": "^8.0.3",
    "jest": "^27.0.5",
    "js-beautify": "^1.15.1",
    "less-loader": "^12.2.0",
    "lint-staged": "^11.1.2",
    "prettier": "^2.4.1",
    "progress-bar-webpack-plugin": "^2.1.0",
    "style-loader": "^4.0.0",
    "typescript": "^5.2.2",
    "vite": "^5.3.4",
    "vite-plugin-dts": "^3.9.1",
    "vue": "^3.2.13",
    "vue-codemirror": "^6.1.1",
    "vue-hooks-plus": "^2.2.0",
    "vue-loader": "^17.4.2",
    "vue-tsc": "^2.0.24"
  }
}
